package com.jaredrummler.android.processes.models;

import android.os.Parcel;
import android.os.Parcelable.Creator;
import java.io.IOException;

public final class Statm
  extends ProcFile
{
  public static final Parcelable.Creator<Statm> CREATOR = new Parcelable.Creator()
  {
    public Statm createFromParcel(Parcel paramAnonymousParcel)
    {
      return new Statm(paramAnonymousParcel, null);
    }
    
    public Statm[] newArray(int paramAnonymousInt)
    {
      return new Statm[paramAnonymousInt];
    }
  };
  public final String[] fields;
  
  private Statm(Parcel paramParcel)
  {
    super(paramParcel);
    this.fields = paramParcel.createStringArray();
  }
  
  private Statm(String paramString)
    throws IOException
  {
    super(paramString);
    this.fields = this.content.split("\\s+");
  }
  
  public static Statm get(int paramInt)
    throws IOException
  {
    return new Statm(String.format("/proc/%d/statm", new Object[] { Integer.valueOf(paramInt) }));
  }
  
  public long getResidentSetSize()
  {
    return Long.parseLong(this.fields[1]) * 1024L;
  }
  
  public long getSize()
  {
    return Long.parseLong(this.fields[0]) * 1024L;
  }
  
  public void writeToParcel(Parcel paramParcel, int paramInt)
  {
    super.writeToParcel(paramParcel, paramInt);
    paramParcel.writeStringArray(this.fields);
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/com/jaredrummler/android/processes/models/Statm.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */